Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/credits/line_items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credit_line_item",
"attributes": {
"custom_fields": {},
"transaction_date": "2023-12-25",
"amount": 123,
"description": "<string>",
"external_id": "EXT-12345",
"term": "<string>",
"comment": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/credits/line_items/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credit_line_item",
"attributes": {
"custom_fields": {},
"transaction_date": "2023-12-25",
"amount": 123,
"description": "<string>",
"external_id": "EXT-12345",
"term": "<string>",
"comment": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'credit_line_item',
attributes: {
custom_fields: {},
transaction_date: '2023-12-25',
amount: 123,
description: '<string>',
external_id: 'EXT-12345',
term: '<string>',
comment: '<string>'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/credits/line_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credit_line_item",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": {},
"transaction_date": "2023-12-25",
"amount": 123,
"description": "<string>",
"external_id": "EXT-12345",
"term": "<string>",
"comment": "<string>"
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"source": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Updates a specific credit line item
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/credits/line_items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credit_line_item",
"attributes": {
"custom_fields": {},
"transaction_date": "2023-12-25",
"amount": 123,
"description": "<string>",
"external_id": "EXT-12345",
"term": "<string>",
"comment": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/credits/line_items/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credit_line_item",
"attributes": {
"custom_fields": {},
"transaction_date": "2023-12-25",
"amount": 123,
"description": "<string>",
"external_id": "EXT-12345",
"term": "<string>",
"comment": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'credit_line_item',
attributes: {
custom_fields: {},
transaction_date: '2023-12-25',
amount: 123,
description: '<string>',
external_id: 'EXT-12345',
term: '<string>',
comment: '<string>'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/credits/line_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credit_line_item",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": {},
"transaction_date": "2023-12-25",
"amount": 123,
"description": "<string>",
"external_id": "EXT-12345",
"term": "<string>",
"comment": "<string>"
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"source": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
line item updated
Show child attributes